### Hierarchy

- unknown
  - CompleteTradeRequest

## Index

### Constructors

- constructor

### Methods

- getTradeId
- serializeBinary
- setTradeId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CompleteTradeRequest(): CompleteTradeRequest

- Inherited from jspb.Message.constructor

  #### Returns CompleteTradeRequest

## Methods

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2468

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2471

  #### Returns Uint8Array

### setTradeId

- setTradeId(value: string): CompleteTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2469

  #### Parameters

  - ##### value: string

  #### Returns CompleteTradeRequest

### toObject

- toObject(includeInstance?: boolean): CompleteTradeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2472

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CompleteTradeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CompleteTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2475

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CompleteTradeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CompleteTradeRequest, reader: BinaryReader): CompleteTradeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:2476

  #### Parameters

  - ##### message: CompleteTradeRequest

  - ##### reader: BinaryReader

  #### Returns CompleteTradeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CompleteTradeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2474

  #### Parameters

  - ##### message: CompleteTradeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CompleteTradeRequest ): CompleteTradeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2473

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CompleteTradeRequest

  #### Returns CompleteTradeRequest . AsObject

Generated using TypeDoc